{
  "schema_version": "1.4.0",
  "id": "GHSA-mjx6-524j-mf72",
  "modified": "2025-04-12T12:32:01Z",
  "published": "2022-05-17T00:13:47Z",
  "aliases": [
    "CVE-2014-2669"
  ],
  "details": "Multiple integer overflows in contrib/hstore/hstore_io.c in PostgreSQL 9.0.x before 9.0.16, 9.1.x before 9.1.12, 9.2.x before 9.2.7, and 9.3.x before 9.3.3 allow remote authenticated users to have unspecified impact via vectors related to the (1) hstore_recv, (2) hstore_from_arrays, and (3) hstore_from_array functions in contrib/hstore/hstore_io.c; and the (4) hstoreArrayToPairs function in contrib/hstore/hstore_op.c, which triggers a buffer overflow.  NOTE: this issue was SPLIT from CVE-2014-0064 because it has a different set of affected versions.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-2669"
    },
    {
      "type": "WEB",
      "url": "https://github.com/postgres/postgres/commit/31400a673325147e1205326008e32135a78b4d8a"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-0221.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2014-0469.html"
    },
    {
      "type": "WEB",
      "url": "http://wiki.postgresql.org/wiki/20140220securityrelease"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-2864"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-2865"
    },
    {
      "type": "WEB",
      "url": "http://www.postgresql.org/about/news/1506"
    },
    {
      "type": "WEB",
      "url": "http://www.postgresql.org/support/security"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-03-31T14:58:00Z"
  }
}